## 项目初始化

### git clone

### 安装依赖

这里没有使用 npm，因为国内的网络环境下不太稳定。

我们使用的是 [yarn](https://classic.yarnpkg.com/zh-Hans/)。

进入 xcoa-web 项目目录，执行

```bash
yarn install
```

<span style="color:red;">注意：每次从 git 更新代码后，也要执行这个步骤!!</span>

### 安装 VS Code 插件

[VS Code](https://code.visualstudio.com/) 打开<span style="color:red;">项目文件夹</span>后，会提示安装推荐的插件。点击“全部安装”即可。

注意：一定要从 VS Code 菜单选择“打开文件夹”，不要把文件夹拖进 VS Code!!

### 启动开发版服务器

```bash
yarn serve
```

为了模拟真实环境，本地的开发服务器也加了一个 app 路径

### 生产环境打包

```bash
yarn build
```

### 检查并自动修复代码

```bash
yarn lint
```

### 快速新建 .vue 文件

1. 在想要新建 .vue 文件的目录点击右键
1. 选择“New File From Template”
1. 按回车（模板“vue-component”位于第一位，会默认选中）
1. 输入组件名字，如“xm-htgl-list”并按回车
