// 自动生成的文件，请勿修改
import asyncComponent from '@/common/services/async-component'
import flowService from '@/webflow/flow-service'
import routerService from '@/common/services/router-service'

// 指标定时任务列表
routerService.routeInFrame('kpi-job-list', {
  component:asyncComponent(
    () => import(/* webpackChunkName: "product-iam-kpi" */ './job/kpi-job-list.vue')
  ),
})

// 定时采集配置
routerService.routeInFrame('kpi-job-form', {
  component:asyncComponent(
    () => import(/* webpackChunkName: "product-iam-kpi" */ './job/kpi-job-form.vue')
  ),
})

// 指标业务分类
routerService.routeInFrame('kpi-busicategory-list', {
  component:asyncComponent(
    () => import(/* webpackChunkName: "product-iam-kpi" */ './busicategory/kpi-busicategory-list.vue')
  ),
})

// 指标定义列表
routerService.routeInFrame('kpi-indi-list', {
  component:asyncComponent(
    () => import(/* webpackChunkName: "product-iam-kpi" */ './def/kpi-indi-list.vue')
  ),
})

// 指标定义表单
routerService.routeInFrame('kpi-indi-form', {
  component:asyncComponent(
    () => import(/* webpackChunkName: "product-iam-kpi" */ './def/kpi-indi-form.vue')
  ),
})

// 指标检测列表
routerService.routeInFrame('kpi-monitor-list', {
  component:asyncComponent(
    () => import(/* webpackChunkName: "product-iam-kpi" */ './monitor/kpi-monitor-list.vue')
  ),
})

// 指标报送任务列表
routerService.routeInFrame('kpi-indi-task-list', {
  component:asyncComponent(
    () => import(/* webpackChunkName: "product-iam-kpi" */ './task/kpi-indi-task-list.vue')
  ),
})

// 指标报送任务表单
flowService.addFlowForm(
  'vue:kpi/task/kpiIndiTask',
  asyncComponent(
    () => import(/* webpackChunkName: "product-iam-kpi-form" */ './task/kpi-indi-task-form.vue')
  )
)

// 指标检测列表-趋势分析
routerService.routeInFrame('kpi-trend-analysis', {
  component:asyncComponent(
    () => import(/* webpackChunkName: "product-iam-kpi" */ './monitor/report/kpi-trend-analysis.vue')
  ),
})

// 指标检测列表-杜邦分析
routerService.routeInFrame('kpi-du-pont-analysis', {
  component:asyncComponent(
    () => import(/* webpackChunkName: "product-iam-kpi" */ './monitor/duPont/kpi-du-pont-analysis.vue')
  ),
})

// 指标分析
routerService.routeInFrame('kpi-analysis-form', {
  component:asyncComponent(
    () => import(/* webpackChunkName: "product-iam-kpi" */ './analysis/kpi-analysis-form.vue')
  ),
})

// 指标报送任务表单
flowService.addFlowForm(
  'vue:kpi/order/kpiAlertOrder',
  asyncComponent(
    () => import(/* webpackChunkName: "product-iam-kpi-form" */ './alertOrder/kpi-alert-order-form.vue')
  )
)

// 指标预警单
routerService.routeInFrame('kpi-alert-order-list', {
  component:asyncComponent(
    () => import(/* webpackChunkName: "product-iam-kpi" */ './alertOrder/kpi-alert-order-list.vue')
  ),
})

// 指标组检测列表
routerService.routeInFrame('kpi-group-monitor-list', {
  component:asyncComponent(
    () => import(/* webpackChunkName: "product-iam-kpi" */ './groupMonitor/kpi-group-monitor-list.vue')
  ),
})

// 指标组定义列表
routerService.routeInFrame('kpi-indicator-group-list', {
  component:asyncComponent(
    () => import(/* webpackChunkName: "product-iam-kpi" */ './indicatorGroup/kpi-indicator-group-list.vue')
  ),
})

// 指标组定义表
routerService.routeInFrame('kpi-indicator-group-form', {
  component:asyncComponent(
    () => import(/* webpackChunkName: "product-iam-kpi" */ './indicatorGroup/kpi-indicator-group-form.vue')
  ),
})
console.warn('路由 kpi-job-list 不符合命名规则，应该以 iam 开头')
console.warn('路由 kpi-job-form 不符合命名规则，应该以 iam 开头')
console.warn('路由 kpi-busicategory-list 不符合命名规则，应该以 iam 开头')
console.warn('路由 kpi-indi-list 不符合命名规则，应该以 iam 开头')
console.warn('路由 kpi-indi-form 不符合命名规则，应该以 iam 开头')
console.warn('路由 kpi-monitor-list 不符合命名规则，应该以 iam 开头')
console.warn('路由 kpi-indi-task-list 不符合命名规则，应该以 iam 开头')
console.warn('路由 kpi-trend-analysis 不符合命名规则，应该以 iam 开头')
console.warn('路由 kpi-du-pont-analysis 不符合命名规则，应该以 iam 开头')
console.warn('路由 kpi-analysis-form 不符合命名规则，应该以 iam 开头')
console.warn('路由 kpi-alert-order-list 不符合命名规则，应该以 iam 开头')
console.warn('路由 kpi-group-monitor-list 不符合命名规则，应该以 iam 开头')
console.warn('路由 kpi-indicator-group-list 不符合命名规则，应该以 iam 开头')
console.warn('路由 kpi-indicator-group-form 不符合命名规则，应该以 iam 开头')