在目录`\src_custom\_form-designer\formulas` 下创建 js 文件,如 formula.js

```javascript
const formula = [
  {
    data: 'XMPRODUCT', //公式函数名，custom目录下需以XM开头
    label: '扩展公式乘积', //公式在编辑器显示的标签
    dataType: 'number', //公式返回值类型，其他还有 string、date、group[]、user[]、boolean
    params: [
      //公式接收的参数，可设置多个参数
      {
        label: '第一个参数', //参数显示的标签
        dataType: 'number', //参数的数据类型，其他还有 string、date、group[]、user[]、boolean
      },
      {
        label: '第二个参数', //参数显示的标签
        dataType: 'number', //参数的数据类型，其他还有 string、date、group[]、user[]、boolean
        spread: true, //该参数赋值后是否自动追加新的参数
      },
    ],
  },
]
export default formula
```

编辑公式后，台会接受到公式如 XMPRODUCT({fieldname1},{fieldname2})

后台扩展文档：<http://172.20.97.78:8989/webdoc/real/Pub2c94e1ce80ccf1480187316d987e3ce1.html?STATE=0&OPERATE=3>

另外 product 目录下也可以添加公式，如：`src_product/oa/_form-designer/formulas/xx.js`，product 下的公式需要以对应的应用名开头，如 OAXXXX
