```vue
<template>
  <div>
    <div>
      多选
      <sd-list-picker v-model="v1" :load-list-data="loadListData"></sd-list-picker>
      {{ v1 }}
    </div>
    <div>
      单选
      <sd-list-picker v-model="v2" single :load-list-data="loadListData"></sd-list-picker>
      {{ v2 }}
    </div>
  </div>
</template>

<script>
export default {
  data() {
    return {
      v1: [{ id: '1', name: 'hello' }],
      v2: [{ id: '2', name: 'world' }],
    }
  },
  methods: {
    loadListData() {
      return new Promise((resolve) => {
        setTimeout(() => {
          const dataSource = []

          for (let i = 0; i < 20; i++) {
            dataSource.push({
              id: i.toString(),
              name: `content${i + 1}`,
            })
          }
          resolve(dataSource)
        }, 400)
      })
    },
  },
}
</script>
```
